headless lms

Get an asset's metadata (staff)

GET /api/assets/{id}. Get an asset's metadata (staff). Headless LMS Assets API reference.

GET
/api/assets/{id}

Staff only (owner, admin, instructor).

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/assets/string"
{  "orgId": "string",  "id": "string",  "kind": "image",  "source": "library",  "filename": "string",  "contentType": "string",  "size": 0,  "status": "pending",  "uploadedBy": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "url": "string",  "downloadUrl": "string"}
{  "error": "string",  "message": "string",  "requestId": "string",  "issues": [    {      "path": "string",      "message": "string"    }  ]}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}